Target version:    

Resolution: Invalid Affected version:  

Description

Hello!

According to the documentation I renamed email.yml.example to email.yml and edited the file. But redmine doesn't seem to

recognize any changes I make there. I could stop and restart webrick as much as I want, I always get the error message that "a smtp

server is not configured". I tried localhost, 127.0.0.1, switching from smtp to sendmail... nothing works! Even the smtp settings of my

freemail-service don't work. Is there anything else what I've to do???????? This is really annoying. I'm using redmine 0.8.0 stable.

About your application's environment

Ruby version 1.8.5 (x86_64-linux)

RubyGems version 1.3.1

Rails version 2.1.2

Active Record version 2.1.2

Action Pack version 2.1.2

Active Resource version 2.1.2

Action Mailer version 2.1.2

Active Support version 2.1.2

Edge Rails revision unknown

Application root /livetest/redmine

Environment development

Database adapter mysql

History

#1 - 2008-12-16 17:35 - Jean-Philippe Lang

Can you post your email.yml please?

Do you run redmine in production mode? I mean do you use script/server -e production when starting redmine?

#2 - 2008-12-16 18:20 - Carsten Henkelmann

My email.yml is:

# Outgoing email settings

production:

  delivery_method: :smtp

  smtp_settings:

    address: localhost

    port: 25

    domain: emp.de

    authentication: :login

#    user_name: redmine@example.net

#    password: redmine

development:

  delivery_method: :smtp

  smtp_settings:

    address: 127.0.0.1

    port: 25

    domain: example.net

    authentication: :login

#    user_name: redmine@example.net

#    password: redmine

 And yes, I use redmine in production mode. A "ps ax" shows me a "ruby /srv/www/redmine/script/server -e production -d" process.
#3 - 2008-12-16 18:22 - Carsten Henkelmann

Ehm... At the beginning of the "user_name" and "password" rows there should be an "#", this wiki-system makes an enumeration out of it...

#4 - 2008-12-17 00:45 - Azamat Hackimov

Can you post log-file from MTA when redmine send mail?

#5 - 2008-12-17 09:30 - Carsten Henkelmann

Well... I'm sorry. You can close this. Our server hoster/administrator changed the directory where the working version of redmine lies without notifying

us. So I uploaded configuration files to a redmine installation which was never running.

Now everything seems to work fine. Sorry for stealing your time!

#6 - 2008-12-17 09:30 - Carsten Henkelmann

- Status changed from New to Resolved

#7 - 2008-12-17 09:32 - Azamat Hackimov

- Due date set to 2008-12-17

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK :)

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

